Get Withdrawals
curl --request GET \
--url https://external-api.kalshi.com/trade-api/v2/portfolio/withdrawals \
--header 'KALSHI-ACCESS-KEY: <api-key>' \
--header 'KALSHI-ACCESS-SIGNATURE: <api-key>' \
--header 'KALSHI-ACCESS-TIMESTAMP: <api-key>'import requests
url = "https://external-api.kalshi.com/trade-api/v2/portfolio/withdrawals"
headers = {
"KALSHI-ACCESS-KEY": "<api-key>",
"KALSHI-ACCESS-SIGNATURE": "<api-key>",
"KALSHI-ACCESS-TIMESTAMP": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'KALSHI-ACCESS-KEY': '<api-key>',
'KALSHI-ACCESS-SIGNATURE': '<api-key>',
'KALSHI-ACCESS-TIMESTAMP': '<api-key>'
}
};
fetch('https://external-api.kalshi.com/trade-api/v2/portfolio/withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"withdrawals": [
{
"id": "<string>",
"amount_cents": 123,
"fee_cents": 123,
"created_ts": 123,
"finalized_ts": 123
}
],
"cursor": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>"
}{
"code": "<string>",
"message": "<string>",
"details": "<string>"
}portfolio
Get Withdrawals
Endpoint for getting the member’s withdrawal history.
GET
/
portfolio
/
withdrawals
Get Withdrawals
Authorizations
Your API key ID
RSA-PSS signature of the request
Request timestamp in milliseconds
Query Parameters
Number of results per page. Defaults to 100. Maximum value is 500.
Required range:
1 <= x <= 500Pagination cursor. Use the cursor value returned from the previous response to get the next page of results. Leave empty for the first page.
⌘I